Brands
Update a brand
Updates a brand. Each section given replaces that section whole. Published templates keep the brand they were built against until they are republished.
Updates a brand. Each section given replaces that section whole. Published templates keep the brand they were built against until they are republished.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
slug*string
Match
^[a-z0-9](?:[a-z0-9-]{0,62}[a-z0-9])?$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
slug?|null
name?|null
css?|null
assets?|null
footer?|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/brands/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "slug": "string", "name": "string", "isDefault": true, "css": "string", "assets": { "logoUrl": "string", "logoDarkUrl": "string", "iconUrl": "string" }, "footer": { "companyName": "string", "address": { "street1": "string", "street2": "string", "city": "string", "region": "string", "postalCode": "string", "country": "string" }, "socialLinks": [ { "label": "string", "url": "string" } ] }, "digest": "string", "createdAt": "string", "updatedAt": "string"}